diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_with_range_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_with_range_partition_msql.sql
index db2aac1b..bdf65e56 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_with_range_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_with_range_partition_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
 (
     id integer,
     status text,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_without_primary_key_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_without_primary_key_msql.sql
index 3551842c..d4d2cb49 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_without_primary_key_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/12_plus/create_table_without_primary_key_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."simple_table_$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."simple_table_$%{}[]()&*^!@""'`\/#"
 (
     col1 integer,
     col2 text,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_advanced_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_advanced_options_msql.sql
index df7cd7b2..17cbb143 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_advanced_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_advanced_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE UNLOGGED TABLE IF NOT EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+CREATE UNLOGGED TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
 (
     col1 double precision,
     col2 numrange
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_custom_autovacuum_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_custom_autovacuum_msql.sql
index 6041f756..59e3d84b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_custom_autovacuum_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_custom_autovacuum_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
     col1 character varying(10)[],
     col2 date
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_fk_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_fk_msql.sql
index 8d8eda04..cb2714cc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_fk_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_fk_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
 (
     col1 integer,
     col2 bigint,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_lik_tbl_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_lik_tbl_msql.sql
index cf6bfc80..38f2d914 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_lik_tbl_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_lik_tbl_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."table_like_tbl$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."table_like_tbl$%{}[]()&*^!@""'`\/#"
 (
     LIKE public.like_tbl
         INCLUDING DEFAULTS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_chk_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_chk_msql.sql
index dbe94cca..9303172e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_chk_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_chk_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
 (
     "col1_$%{}[]()&*^!@\""'`\\/#" time(5) with time zone,
     col2 character(12),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_msql.sql
index 6de40666..39d8581c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_with_pk_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
 (
     "col1_$%{}[]()&*^!@\""'`\\/#" integer,
     "col2_$%{}[]()&*^!@\""'`\\/#" json NOT NULL,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_without_primary_key_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_without_primary_key_msql.sql
index 91c5cc7c..d763298c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_without_primary_key_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/default/create_table_without_primary_key_msql.sql
@@ -1,4 +1,4 @@
-CREATE TABLE IF NOT EXISTS public."simple_table_$%{}[]()&*^!@""'`\/#"
+CREATE TABLE public."simple_table_$%{}[]()&*^!@""'`\/#"
 (
     col1 integer,
     col2 text,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_plain_trigger_function.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_plain_trigger_function.sql
index 435237a0..759c632e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_plain_trigger_function.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_plain_trigger_function.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Trig1_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_plain_trigger_function.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_plain_trigger_function.sql
index 2d7383c6..a794a288 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_plain_trigger_function.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_plain_trigger_function.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Trig1_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Trig1_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Trig1_$%{}[]()&*^!@""'`\/#"()
     RETURNS trigger
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
index 8316a0be..d129b984 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
@@ -666,7 +666,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
                     c['cltype'], c['hasSqrBracket'] = \
                         column_utils.type_formatter(c['cltype'])
 
-    def _get_resql_for_table(self, did, scid, tid, data, json_resp, main_sql):
+    def _get_resql_for_table(self, did, scid, tid, data, json_resp, main_sql,
+                             if_exists=False):
         """
         #####################################
         # Reverse engineered sql for TABLE
@@ -705,18 +706,20 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         if 'relispartition' in data and data['relispartition']:
             table_sql = render_template("/".join([self.partition_template_path,
                                                   self._CREATE_SQL]),
-                                        data=data, conn=self.conn)
+                                        data=data, conn=self.conn,
+                                        if_exists=if_exists)
         else:
             table_sql = render_template("/".join([self.table_template_path,
                                                   self._CREATE_SQL]),
-                                        data=data, conn=self.conn, is_sql=True)
+                                        data=data, conn=self.conn, is_sql=True,
+                                        if_exists=if_exists)
 
         # Add into main sql
         table_sql = re.sub(self.pattern, self.double_newline, table_sql)
         main_sql.append(table_sql.strip('\n'))
 
     def _get_resql_for_index(self, did, tid, main_sql, json_resp, schema,
-                             table):
+                             table, if_exists=False):
         """
         ######################################
         # Reverse engineered sql for INDEX
@@ -742,7 +745,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
             index_sql = index_utils.get_reverse_engineered_sql(
                 self.conn, schema=schema, table=table, did=did, tid=tid,
                 idx=row['oid'], datlastsysoid=self.datlastsysoid,
-                template_path=None, with_header=json_resp)
+                template_path=None, with_header=json_resp, if_exists=if_exists
+            )
             index_sql = "\n" + index_sql
 
             # Add into main sql
@@ -871,7 +875,9 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
 
             rules_sql += render_template("/".join(
                 [self.rules_template_path, self._CREATE_SQL]),
-                data=res_data, display_comments=display_comments)
+                data=res_data, display_comments=display_comments,
+                if_replace=True
+            )
 
             # Add into main sql
             rules_sql = re.sub(self.pattern, self.double_newline, rules_sql)
@@ -1021,6 +1027,7 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         data = kwargs.get('data')
         json_resp = kwargs.get('json_resp', True)
         diff_partition_sql = kwargs.get('diff_partition_sql', False)
+        if_exists_flag = kwargs.get('if_exists', False)
 
         # Table & Schema declaration so that we can use them in child nodes
         schema = data['schema']
@@ -1028,10 +1035,11 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         is_partitioned = 'is_partitioned' in data and data['is_partitioned']
 
         # Get Reverse engineered sql for Table
-        self._get_resql_for_table(did, scid, tid, data, json_resp, main_sql)
+        self._get_resql_for_table(did, scid, tid, data, json_resp, main_sql,
+                                  if_exists=if_exists_flag)
         # Get Reverse engineered sql for Table
         self._get_resql_for_index(did, tid, main_sql, json_resp, schema,
-                                  table)
+                                  table, if_exists=if_exists_flag)
 
         # Get Reverse engineered sql for ROW SECURITY POLICY
         self._get_resql_for_row_security_policy(scid, tid, json_resp,
@@ -1435,7 +1443,7 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
         if 'relacl' in data:
             data['relacl'] = parse_priv_to_db(data['relacl'], self.acl)
 
-    def get_sql(self, did, scid, tid, data, res):
+    def get_sql(self, did, scid, tid, data, res, if_exists=False):
         """
         This function will generate create/update sql from model data
         coming from client
@@ -1534,7 +1542,8 @@ class BaseTableView(PGChildNodeView, BasePartitionTable, VacuumSettings):
 
             sql = render_template("/".join([self.table_template_path,
                                             self._CREATE_SQL]),
-                                  data=data, conn=self.conn)
+                                  data=data, conn=self.conn,
+                                  if_exists=if_exists)
 
             # Append SQL for partitions
             sql += '\n' + partitions_sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_add_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_add_priv.sql
index e90ef0f7..82ad3b78 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_add_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_add_priv.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION postgres;
 
 GRANT CREATE ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" TO PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_drop_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_drop_priv.sql
index e42962c2..1cc63866 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_drop_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_drop_priv.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION postgres;
 
 GRANT ALL ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_name.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_name.sql
index 86bf07af..3642167e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_name.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema1_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema1_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema1_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema1_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema1_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION postgres;
 
 COMMENT ON SCHEMA "test_schema1_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_update_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_update_priv.sql
index c8fc71a7..5b58e2c6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_update_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/alter_schema_update_priv.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION postgres;
 
 GRANT USAGE ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" TO PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_all_options.sql
index 9251fbe0..83612440 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_all_options.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION postgres;
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_with_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_with_comment.sql
index 83973a3a..e0e4cf4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_with_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/pg/9.2_plus/create_schema_with_comment.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION postgres;
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_add_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_add_priv.sql
index 8b130b32..bd5e39ff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_add_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_add_priv.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION enterprisedb;
 
 GRANT CREATE ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" TO PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_drop_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_drop_priv.sql
index a18430f2..f74bbabd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_drop_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_drop_priv.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION enterprisedb;
 
 GRANT ALL ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_name.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_name.sql
index 5ef0e452..3b195c25 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_name.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema1_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema1_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema1_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema1_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema1_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION enterprisedb;
 
 COMMENT ON SCHEMA "test_schema1_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_update_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_update_priv.sql
index e200bff3..33060693 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_update_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/alter_schema_update_priv.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION enterprisedb;
 
 GRANT USAGE ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" TO PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options.sql
index 5b92773e..bb7da31f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION enterprisedb;
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql
index 2c80b514..d03bb981 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#";
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#";
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
     IS 'This is a test comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment.sql
index c8a8a15b..bc7dcd5a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment.sql
@@ -1,8 +1,8 @@
 -- SCHEMA: test_schema_$%{}[]()&*^!@""'`\/#
 
--- DROP SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#" ;
+-- DROP SCHEMA IF EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#" ;
 
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#"
     AUTHORIZATION enterprisedb;
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql
index add17f78..ce2bbc2a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql
@@ -1,4 +1,4 @@
-CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#";
+CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#";
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
     IS 'This is a test comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index ed9245f3..379b2ceb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -1371,7 +1371,7 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
         SQL = render_template("/".join(
             [self.template_path, self._SQL_PREFIX + self._PROPERTIES_SQL]),
             vid=vid,
-            datlastsysoid=self.datlastsysoid
+            datlastsysoid=self.datlastsysoid,
         )
 
         status, res = self.conn.execute_dict(SQL)
@@ -1427,7 +1427,8 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
             [self.template_path, self._SQL_PREFIX + self._CREATE_SQL]),
             data=result,
             conn=self.conn,
-            display_comments=display_comments
+            display_comments=display_comments,
+            if_replace=True
         )
         SQL += "\n"
         SQL += render_template("/".join(
@@ -1983,7 +1984,8 @@ class MViewNode(ViewNode, VacuumSettings):
             [self.template_path, self._SQL_PREFIX + self._CREATE_SQL]),
             data=result,
             conn=self.conn,
-            display_comments=display_comments
+            display_comments=display_comments,
+            if_exists=True
         )
         SQL += "\n"
         SQL += render_template("/".join(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql
index c53b0970..fe6e1a8d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
index 49b2625d..74c71465 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_fillfactor.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
index a05ab8df..252ca002 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_add_table_parameter.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql
index fcd7b144..973ed0de 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_change_grantee_priv.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql
index 1caca831..43c20641 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_definition.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
